package cn.com.countrygarden.bi.main.model.excontract.dto;

import cn.com.countrygarden.bi.main.model.excontract.ContractRecord;
import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;

/**
 * @program: DPshow_depart
 * @description: 公共环境保洁 DTO
 * @author: SignV
 * @create: 2018-09-12 14:41
 **/
public class EnvironmentalClean extends ContractRecord {
    /*----------------------------------------缺勤  start-----------------------------------------------*/

    private int totalNum;                       //本月应出勤人数
    private int totalActualNum;                 //本月实际出勤人数
    private int totalOvertime;                  //本月加班总时数
    private int overtimeNum;                    //折算为加班人数
    private int vacancyNum;                     //缺勤人数

    /*----------------------------------------缺勤  end-----------------------------------------------*/


    /*----------------------------------------出勤率  start-----------------------------------------------*/

    private int vacancyRate;                 //出勤率%
    private BigDecimal vacancyMoney;            //扣款

    /*----------------------------------------出勤率  end-----------------------------------------------*/


    /*----------------------------------------日常巡查  start-----------------------------------------------*/

    private double inspectionScore;             //日常巡查得分

    /*----------------------------------------日常巡查  end-----------------------------------------------*/


    /*----------------------------------------投诉  start-----------------------------------------------*/

    private int commonComplaint;               //一般投诉项
    private int seriousComplaint;              //严重投诉项
    private double complaintScore;             //投诉 扣分
    private BigDecimal complaintMoney;         //投诉 扣款

    /*----------------------------------------投诉  end-----------------------------------------------*/


    /*----------------------------------------满意度  start-----------------------------------------------*/

    private int satisfactionNum;                //不满意问题项
    private double satisfactionScore;           //满意度扣分
    private BigDecimal satisfactionMoney;       //满意度扣款

    /*----------------------------------------满意度  end-----------------------------------------------*/


    /*----------------------------------------区域监评  start-----------------------------------------------*/

    private int checkSerious;                   //严重不合格
    private int checkBlack;                     //黑色预警
    private int checkYellow;                    //黄牌
    private int checkRed;                       //红牌
    private double checkScore;                  //扣分
    private BigDecimal checkMoney;              //扣款

    /*----------------------------------------区域监评  end-----------------------------------------------*/


    /*----------------------------------------飞行检查  start-----------------------------------------------*/

    private int flightBlack;                     //黑色预警
    private int flightYellow;                    //黄牌
    private int flightRed;                       //红牌
    private double flightScore;                  //扣分
    private BigDecimal flightMoney;              //扣款

    /*----------------------------------------飞行检查  end-----------------------------------------------*/


    /*----------------------------------------第三方调查  start-----------------------------------------------*/

    private int thirdRed;                       //红牌
    private int thirdYellow;                    //黄牌
    private double thirdScore;                  //扣分
    private BigDecimal thirdMoney;              //扣款

    /*----------------------------------------第三方调查  end-----------------------------------------------*/

    public int getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(int totalNum) {
        this.totalNum = totalNum;
    }

    public int getTotalActualNum() {
        return totalActualNum;
    }

    public void setTotalActualNum(int totalActualNum) {
        this.totalActualNum = totalActualNum;
    }

    public int getTotalOvertime() {
        return totalOvertime;
    }

    public void setTotalOvertime(int totalOvertime) {
        this.totalOvertime = totalOvertime;
    }

    public int getOvertimeNum() {
        return overtimeNum;
    }

    public void setOvertimeNum(int overtimeNum) {
        this.overtimeNum = overtimeNum;
    }

    public int getVacancyNum() {
        return vacancyNum;
    }

    public void setVacancyNum(int vacancyNum) {
        this.vacancyNum = vacancyNum;
    }

    public int getVacancyRate() {
        return vacancyRate;
    }

    public void setVacancyRate(int vacancyRate) {
        this.vacancyRate = vacancyRate;
    }

    public BigDecimal getVacancyMoney() {
        return vacancyMoney;
    }

    public void setVacancyMoney(BigDecimal vacancyMoney) {
        this.vacancyMoney = vacancyMoney;
    }

    public double getInspectionScore() {
        return inspectionScore;
    }

    public void setInspectionScore(double inspectionScore) {
        this.inspectionScore = inspectionScore;
    }

    public int getCommonComplaint() {
        return commonComplaint;
    }

    public void setCommonComplaint(int commonComplaint) {
        this.commonComplaint = commonComplaint;
    }

    public int getSeriousComplaint() {
        return seriousComplaint;
    }

    public void setSeriousComplaint(int seriousComplaint) {
        this.seriousComplaint = seriousComplaint;
    }

    public double getComplaintScore() {
        return complaintScore;
    }

    public void setComplaintScore(double complaintScore) {
        this.complaintScore = complaintScore;
    }

    public BigDecimal getComplaintMoney() {
        return complaintMoney;
    }

    public void setComplaintMoney(BigDecimal complaintMoney) {
        this.complaintMoney = complaintMoney;
    }

    public int getSatisfactionNum() {
        return satisfactionNum;
    }

    public void setSatisfactionNum(int satisfactionNum) {
        this.satisfactionNum = satisfactionNum;
    }

    public double getSatisfactionScore() {
        return satisfactionScore;
    }

    public void setSatisfactionScore(double satisfactionScore) {
        this.satisfactionScore = satisfactionScore;
    }

    public BigDecimal getSatisfactionMoney() {
        return satisfactionMoney;
    }

    public void setSatisfactionMoney(BigDecimal satisfactionMoney) {
        this.satisfactionMoney = satisfactionMoney;
    }

    public int getCheckSerious() {
        return checkSerious;
    }

    public void setCheckSerious(int checkSerious) {
        this.checkSerious = checkSerious;
    }

    public int getCheckBlack() {
        return checkBlack;
    }

    public void setCheckBlack(int checkBlack) {
        this.checkBlack = checkBlack;
    }

    public int getCheckYellow() {
        return checkYellow;
    }

    public void setCheckYellow(int checkYellow) {
        this.checkYellow = checkYellow;
    }

    public int getCheckRed() {
        return checkRed;
    }

    public void setCheckRed(int checkRed) {
        this.checkRed = checkRed;
    }

    public double getCheckScore() {
        return checkScore;
    }

    public void setCheckScore(double checkScore) {
        this.checkScore = checkScore;
    }

    public BigDecimal getCheckMoney() {
        return checkMoney;
    }

    public void setCheckMoney(BigDecimal checkMoney) {
        this.checkMoney = checkMoney;
    }

    public int getFlightBlack() {
        return flightBlack;
    }

    public void setFlightBlack(int flightBlack) {
        this.flightBlack = flightBlack;
    }

    public int getFlightYellow() {
        return flightYellow;
    }

    public void setFlightYellow(int flightYellow) {
        this.flightYellow = flightYellow;
    }

    public int getFlightRed() {
        return flightRed;
    }

    public void setFlightRed(int flightRed) {
        this.flightRed = flightRed;
    }

    public double getFlightScore() {
        return flightScore;
    }

    public void setFlightScore(double flightScore) {
        this.flightScore = flightScore;
    }

    public BigDecimal getFlightMoney() {
        return flightMoney;
    }

    public void setFlightMoney(BigDecimal flightMoney) {
        this.flightMoney = flightMoney;
    }

    public int getThirdRed() {
        return thirdRed;
    }

    public void setThirdRed(int thirdRed) {
        this.thirdRed = thirdRed;
    }

    public int getThirdYellow() {
        return thirdYellow;
    }

    public void setThirdYellow(int thirdYellow) {
        this.thirdYellow = thirdYellow;
    }

    public double getThirdScore() {
        return thirdScore;
    }

    public void setThirdScore(double thirdScore) {
        this.thirdScore = thirdScore;
    }

    public BigDecimal getThirdMoney() {
        return thirdMoney;
    }

    public void setThirdMoney(BigDecimal thirdMoney) {
        this.thirdMoney = thirdMoney;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
